jsnbd: Remove superfluous 'exit 0' from state hook script

The shell will implicitly exit with the exit status of the last command
on its own, so having 'exit 0' at the end of a script is at best
redundant, and may actually cause problems by masking a non-zero exit
status of the preceding command and preventing the error from
propagating as it should.  (In this particular case we've got 'set -e'
in effect so a command exiting non-zero would terminate the script
anyway, but it would be better not to rely on that.)

Signed-off-by: Zev Weiss <zev@bewilderbeest.net>
Change-Id: I1ba2821290695eb7ffbc5937959917a8cf5351f9
diff --git a/meta-phosphor/recipes-connectivity/jsnbd/jsnbd/state_hook b/meta-phosphor/recipes-connectivity/jsnbd/jsnbd/state_hook
index 063699e..5831e94 100755
--- a/meta-phosphor/recipes-connectivity/jsnbd/jsnbd/state_hook
+++ b/meta-phosphor/recipes-connectivity/jsnbd/jsnbd/state_hook
@@ -82,6 +82,3 @@
     echo "invalid action $action" >&2
     exit 1
 esac
-
-exit 0
-